RpfHeader (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.layer.rpf
Class RpfHeader

    java.lang.Object
      com.bbn.openmap.layer.rpf.RpfHeader

    public class RpfHeader

extends java.lang.Object

Reads the part of the RpfFrame that gives a basic location map to the locations of the file.

Field Summary
`char` | `classification`
`java.lang.String` | `country`
`boolean` | `endian`
`java.lang.String` | `filename`
`static int` | `FRAME_LONG_NITF_HEADER_LENGTH`
`static int` | `FRAME_SHORT_NITF_HEADER_LENGTH`
`static int` | `HEADER_SECTION_LENGTH`
`short` | `headerSectionLength`
`int` | `locationSectionLocation`
`byte` | `neww`
`java.lang.String` | `release`
`static int` | `RPF_DATE_LOCATION`
`java.lang.String` | `standardDate`
`java.lang.String` | `standardNumber`
`static int` | `TOC_NITF_HEADER_LENGTH`

Constructor Summary
`RpfHeader()`

Method Summary
`int` | `handleNITFHeader(BinaryFile binFile)` Checks to see if the file is in NITF or not, and then puts the file pointer in the right place to start reading the header for the file.
`static void` | `main(java.lang.String[] args)`
`boolean` | `read(BinaryFile binFile)` Starts at the beginning of the file and handles the NITF header if it is there.
`boolean` | `readHeader(BinaryFile binFile)` Assumes that the binFile is set to the header location.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### RPF_DATE_LOCATION

    public static final int RPF_DATE_LOCATION

See Also:
  Constant Field Values

### HEADER_SECTION_LENGTH

    public static final int HEADER_SECTION_LENGTH

See Also:
  Constant Field Values

### TOC_NITF_HEADER_LENGTH

    public static final int TOC_NITF_HEADER_LENGTH

See Also:
  Constant Field Values

### FRAME_SHORT_NITF_HEADER_LENGTH

    public static final int FRAME_SHORT_NITF_HEADER_LENGTH

See Also:
  Constant Field Values

### FRAME_LONG_NITF_HEADER_LENGTH

    public static final int FRAME_LONG_NITF_HEADER_LENGTH

See Also:
  Constant Field Values

### endian

    public boolean endian

### headerSectionLength

    public short headerSectionLength

### filename

    public java.lang.String filename

### neww

    public byte neww

### standardNumber

    public java.lang.String standardNumber

### standardDate

    public java.lang.String standardDate

### classification

    public char classification

### country

    public java.lang.String country

### release

    public java.lang.String release

### locationSectionLocation

    public int locationSectionLocation

Constructor Detail

### RpfHeader

    public RpfHeader()

Method Detail

### read

    public boolean read(BinaryFile binFile)

  Starts at the beginning of the file and handles the NITF header if it is there.

### readHeader

    public boolean readHeader(BinaryFile binFile)

  Assumes that the binFile is set to the header location.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### handleNITFHeader

    public int handleNITFHeader(BinaryFile binFile)

  Checks to see if the file is in NITF or not, and then puts the file pointer in the right place to start reading the header for the file. If the file is in NITF format, it skips the NITF header, and if it isn't, it resets the pointer to the beginning.

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details